import { PluginFunction } from '@vuepress/core';

interface AppendDateOptions {
    /**
     * Frontmatter key
     *
     * Frontmatter 键值
     *
     * @default 'date'
     */
    key?: string;
    /**
     * Date format
     *
     * 日期格式
     *
     * @default 'date'
     */
    format?: "date" | "time" | "full";
}

declare const appendDatePlugin: ({ key, format }?: AppendDateOptions) => PluginFunction;

export { type AppendDateOptions, appendDatePlugin };
